Package: org.grails.web.context

## [Groovy] Class ServletEnvironmentGrailsApplicationDiscoveryStrategy

- org.grails.web.context.ServletEnvironmentGrailsApplicationDiscoveryStrategy

- All Implemented Interfaces and Traits:
    GrailsApplicationDiscoveryStrategy

      @groovy.transform.CompileStatic
      class ServletEnvironmentGrailsApplicationDiscoveryStrategy
      extends java.lang.Object
      implements GrailsApplicationDiscoveryStrategy

  Strategy for discovering the GrailsApplication and ApplicationContext instances in the Servlet environment

  Authors:
    Graeme Rocher
  Since:
    2.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ApplicationContext` | `applicationContext` |
    `private javax.servlet.ServletContext` | `servletContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`
    `javax.servlet.ServletContext` | `servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ServletEnvironmentGrailsApplicationDiscoveryStrategy (javax.servlet.ServletContext servletContext, org.springframework.context.ApplicationContext applicationContext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.context.ApplicationContext` | `findApplicationContext()`
    `` | `GrailsApplication` | `findGrailsApplication()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.context.ApplicationContext applicationContext

    - #### private javax.servlet.ServletContext servletContext

  - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

    - #### javax.servlet.ServletContext servletContext

  - ### Constructor Detail

    - #### ServletEnvironmentGrailsApplicationDiscoveryStrategy(javax.servlet.ServletContext servletContext, org.springframework.context.ApplicationContext applicationContext)

  - ### Method Detail

    - #### @java.lang.Override org.springframework.context.ApplicationContext findApplicationContext()

    - #### @java.lang.Override GrailsApplication findGrailsApplication()